QT5OPTIONS(7)

NAME
qt5options - Gemeenschappelijke commandoregelopties voor alle applicaties gebaseerd op de Qt-hulpmiddelen

SAMENVATTING

Qt-toepassing [-style= stijl / -style stijl] [-stylesheet= stijlsheet / -stylesheet stijlsheet] [-widgetcount] [-reverse] [-qmljsdebugger= poort] [-platform platformNaam[:opties]] [-platformpluginpath pad] [-platformtheme platformThema] [-plugin plug-in] [-qwindowgeometry geometrie] [-qwindowicon pictogram] [-qwindowtitle titel] [-reverse] [-session sessie] [-display hostnaam:schermnummer] [-geometry geometrie] [-dialogs= [xp|none]] [-fontengine= freetype] [-h, --help and -? on Windows] [-v --version]

OPTIES

De volgende opties zijn van toepassing op alle Qt(TM)-applicaties:

-style= stijl / -style stijl
    Stelt de stijl van de GUI van de toepassing in. Mogelijke waarden hangen af van de systeemconfiguratie. Als Qt gecompileerd is met extra stijlen of extra stijlen heeft als plug-ins dan zullen deze beschikbaar zijn in de optie -style van de commandoregel.

-stylesheet= stijlsheet / -stylesheet stijlsheet
    Stel styleSheet van de toepassing in. De waarde moet een pad zijn naar een bestand dat de Style Sheet bevat.

-widgetcount
    Toont aan het eind een debugbericht over het aantal widgets dat niet vernietigd is achtergelaten en het maximum aantal widgets dat tegelijk bestond.

-reverse
    Stelt de richting in van de indeling van de toepassing naar Qt::RightToLeft. Deze optie is bedoeld om te helpen bij het debuggen en zou in productie niet gebruikt moeten worden. De standaard waarde wordt automatisch gedetecteerd uit de instelling van de taalregio van de gebruiker (zie ook QLocale::textDirection()).

-qmljsdebugger= poort
    Activeer de QML/JS debugger met een gespecificeerde poort. De waarde moet het format port:1234[,block] hebben, waar block optioneel is en maakt dat de toepassing zal wachten totdat een debugger er een verbinding naar maakt.

-platform platformNaam[:opties]
    Specificeer de plug-in Qt Platform Abstraction (QPA).

-platformpluginpath pad
    Het pad naar de platform-plug-ins instellen

-platformtheme platformThema
    Het platformthema instellen.

-plugin plug-in
    Stel extra te laden plug-ins in. Het argument mag meerdere keren verschijnen.

-qwindowgeometry geometrie
    Specificeer de geometrie van het venster voor het hoofdvenster met de X11-syntaxis. Bijvoorbeeld: -qwindowgeometry 100x100+50+50

-qwindowicon pictogram
    Het standaard vensterpictogram instellen.

-qwindowtitle titel
    Stel de titel in van het eerste venster.

-session sessie
    De toepassing herstellen uit een eerdere sessie.

-display hostnaam:schermnummer
    Schakel schermen over op X11. Overschrijft de omgevingsvariabele DISPLAY.

-geometry geometie
    Specificeer de geometrie van het venster voor het hoofdvenster op X11. Bijvoorbeeld: -qwindowgeometry 100x100+50+50.

-dialogs= [xp|none]
    Alleen beschikbaar voor -platform windows. xp gebruikt XP-stijl eigen dialogen en niets schakelt ze uit.

-fontengine= freetype
    Gebruik de lettertype-engine FreeType.

-h, --help en -? on Windows
    Alle opties en de beschrijving van de toepassing tonen.

-v --version
    Toont tekenreeks met de versie-informatie van de toepassing.

ZIE OOK

kf5opties(7)

AUTEURS

Manpagina oorspronkelijk geschreven door Lauri Watts <lauri@kde.org>

Bijgewerkt naar Frameworks 5 door Burkhard Lück <lueck@hube-lueck.de>

De informatie voor deze manpagina komen uit QApplication documentatie[1], QGuiApplication documentatie[2] en QCommandLineParser documentatie[3].

AUTEURS

Lauri Watts <lauri@kde.org>
    Auteur.

Burkhard Lück <lueck@hube-lueck.de>
    Auteur.

OPMERKINGEN

1.  QApplication documentatie
    https://doc.qt.io/qt-5/qapplication.html#QApplication

2.  QGuiApplication documentatie
    https://doc.qt.io/qt-5/qguiapplication.html#QGuiApplication

3.  QCommandLineParser documentatie
    https://doc.qt.io/qt-5/qcommandlineparser.html